SystemOrganization addCategory: #ConfigurationOfRKA24!

Object subclass: #ConfigurationOfRKA24
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRKA24'!

!ConfigurationOfRKA24 class methodsFor: 'development support' stamp: 'SabineKnoefel 6/10/2013 11:42'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRKA24 class methodsFor: 'private' stamp: 'SabineKnoefel 6/10/2013 11:42'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRKA24 class methodsFor: 'private' stamp: 'SabineKnoefel 6/10/2013 11:42'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRKA24 class methodsFor: 'private' stamp: 'SabineKnoefel 6/10/2013 11:42'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRKA24 class methodsFor: 'metacello tool support' stamp: 'SabineKnoefel 6/10/2013 11:42'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRKA24 class methodsFor: 'loading' stamp: 'SabineKnoefel 6/10/2013 11:42'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRKA24 class methodsFor: 'loading' stamp: 'SabineKnoefel 6/10/2013 11:42'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRKA24 class methodsFor: 'loading' stamp: 'SabineKnoefel 6/10/2013 11:42'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRKA24 class methodsFor: 'accessing' stamp: 'SabineKnoefel 6/10/2013 11:42'!
project

	^self new project! !

!ConfigurationOfRKA24 class methodsFor: 'as yet unclassified' stamp: 'sabineknoefel 8/14/2013 15:08'!
repositoryInfos

"MCHttpRepository
	location: 'http://smalltalkhub.com/mc/Sabine/RKA24/main'
	user: 'Sabine'
	password: 'sgolfino'
	
MCHttpRepository
	location: 'http://ss3.gemtalksystems.com/ss/RKA24'
	user: 'SKNOEF'
	password: 'sgolfino'"! !

!ConfigurationOfRKA24 class methodsFor: 'development support' stamp: 'SabineKnoefel 6/10/2013 11:42'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRKA24 methodsFor: 'pre/postload' stamp: 'sabineknoefel 9/3/2013 18:36'!
baseline090: spec
"nur zum test"
	<version: '0.9-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://www.squeaksource.com/FixedDecimal'.
			spec package: 'FixedDecimal' with: 'FixedDecimal-cbc.20'.
 ]! !

!ConfigurationOfRKA24 methodsFor: 'pre/postload' stamp: 'sabineknoefel 9/6/2013 11:11'!
baseline100: spec
	"(ConfigurationOfRKA24 project version: '1.1') load."

	<version: '1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://www.squeaksource.com/FixedDecimal'.
			spec package: 'FixedDecimal' with: 'FixedDecimal-cbc.20'.
			spec
				project: 'Seaside30'
				with: [ 
					spec
						className: 'ConfigurationOfSeaside30';
						versionString: #stable;
						loads: #('default');
						repository: 'http://www.squeaksource.com/MetacelloRepository' ].
			spec
				project: 'artefact'
				with: [ 
					spec
						className: 'ConfigurationOfArtefact';
						loads: #('ALL');
						versionString: '1.1';
						repository: 'http://smalltalkhub.com/mc/RMoD/Artefact/main' ].
			spec
				project: 'xmlsupport'
				with: [ 
					spec
						className: 'ConfigurationOfXMLSupport';
						loads: #('ALL');
						versionString: '1.2.0';
						repository: 'http://ss3.gemstone.com/ss/xmlsupport' ].
			spec
				project: 'JQueryWidgetBox'
				with: [ 
					spec
						className: 'ConfigurationOfJQueryWidgetBox';
						loads: #('default');
						versionString: '2.7';
						repository: 'http://smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main' ].
			spec
				project: 'zincComponents'
				with: [ 
					spec
						className: 'ConfigurationOfZincHTTPComponents';
						loads: #('ALL' 'Seaside');
						versionString: '2.4.4';
						repository: 'http://mc.stfx.eu/ZincHTTPComponents' ].
			spec
				project: 'Zodiac'
				with: [ 
					spec
						className: 'ConfigurationOfZodiac';
						loads: #('ALL');
						versionString: '1.0.1';
						repository: 'http://squeaksource.com/Zodiac' ].
			spec
				project: 'Voyage'
				with: [ 
					spec
						className: 'ConfigurationOfVoyageMongo';
						loads: #('ALL');
						versionString: '1.2.4';
						repository: 'http://smalltalkhub.com/mc/estebanlm/Voyage/main' ].
			spec
				project: 'Scheduler'
				with: [ 
					spec
						className: 'ConfigurationOfScheduler';
						loads: #('ALL');
						versionString: '2.0';
						repository: 'http://smalltalkhub.com/mc/TorstenBergmann/Scheduler/main' ] ]! !

!ConfigurationOfRKA24 methodsFor: 'pre/postload' stamp: 'sabineknoefel 9/16/2013 12:02'!
baseline110: spec
	"(ConfigurationOfRKA24 project version: '1.1') load."

	<version: '1.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			
"			spec repository: 'http://www.squeaksource.com/FixedDecimal'.
			spec package: 'FixedDecimal' with: 'FixedDecimal-cbc.20'."
	
				spec
				project: 'FixedDecimal'
				with: [ 
					spec
						className: 'ConfigurationOfFixedDecimal';
						versionString: #stable;
						loads: #('default');
						repository: 'http://ss3.gemtalksystems.com/ss/MetaRepoForPharo20' ].
							 
			"spec 
				package: 'FixedDecimal'
				with: [ 
					spec
			 			repository: 'http://www.squeaksource.com/FixedDecimal';
						loads: 'FixedDecimal-cbc.20']."

"			spec
				project: 'Seaside30'
				with: [ 
					spec
						className: 'ConfigurationOfSeaside30';
						versionString: #stable;
						loads: #('default');
						repository: 'http://www.squeaksource.com/MetacelloRepository' ]."
					
			spec
				project: 'Seaside30'
				with: [ 
					spec
						className: 'ConfigurationOfSeaside3';
						versionString: #stable;
						loads: #('default');
						repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main' ].
										
			spec
				project: 'artefact'
				with: [ 
					spec
						className: 'ConfigurationOfArtefact';
						loads: #('ALL');
						versionString: '1.1';
						repository: 'http://smalltalkhub.com/mc/RMoD/Artefact/main' ].
			spec
				project: 'xmlsupport'
				with: [ 
					spec
						className: 'ConfigurationOfXMLSupport';
						loads: #('ALL');
						versionString: '1.2.0';
						repository: 'http://ss3.gemstone.com/ss/xmlsupport' ].
			spec
				project: 'JQueryWidgetBox'
				with: [ 
					spec
						className: 'ConfigurationOfJQueryWidgetBox';
						loads: #('default');
						versionString: '2.7';
						repository: 'http://smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main' ].
		"	spec
				project: 'zincComponents'
				with: [ 
					spec
						className: 'ConfigurationOfZincHTTPComponents';
						loads: #('ALL' 'Seaside');
						versionString: '2.4.4';
						repository: 'http://mc.stfx.eu/ZincHTTPComponents' ]."
			spec
				project: 'Zodiac'
				with: [ 
					spec
						className: 'ConfigurationOfZodiac';
						loads: #('ALL');
						versionString: '1.0.1';
						repository: 'http://squeaksource.com/Zodiac' ].
			spec
				project: 'Voyage'
				with: [ 
					spec
						className: 'ConfigurationOfVoyageMongo';
						loads: #('ALL');
						versionString: '1.2.4';
						repository: 'http://smalltalkhub.com/mc/estebanlm/Voyage/main' ].
			spec
				project: 'Scheduler'
				with: [ 
					spec
						className: 'ConfigurationOfScheduler';
						loads: #('ALL');
						versionString: '2.0';
						repository: 'http://smalltalkhub.com/mc/TorstenBergmann/Scheduler/main' ].
			
			spec
				repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
				package: 'RKA24-Model';		
				package: 'RKA24-System';		
				package: 'RKA24-Translator';
				package: 'RKA24-View';
				package: 'RKA24-Test'.
 
 
					]! !

!ConfigurationOfRKA24 methodsFor: 'accessing' stamp: 'SabineKnoefel 6/10/2013 11:42'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 9/12/2013 14:39'!
development: spec
	<symbolicVersion: #development>
	spec for: #common version: '1.1-baseline'! !

!ConfigurationOfRKA24 methodsFor: 'pre/postload' stamp: 'sabineknoefel 9/16/2013 13:54'!
postload
	"Smalltalk addToStartUpList: RKAConfiguration .
	Smalltalk addToShutDownList: RKAConfiguration.
	
	self halt.
	
	(UIManager default confirm: 'Image speichern?' label: 'RKA24 geladen' )
		ifTrue: [SmalltalkImage current snapshot: true andQuit: false].
		
	(UIManager default confirm: 'RKASystemConfiguration initializeDomainObjects ausfhren?' label: 'initialize' )
		ifTrue: [RKAConfiguration initializeDomainObjects.].
"

	RKAConfiguration initializeTransientObjects! !

!ConfigurationOfRKA24 methodsFor: 'pre/postload' stamp: 'sabineknoefel 9/12/2013 15:26'!
preload
"
self halt.
	(UIManager default confirm: 'Image speichern?' label: 'Prerecs geladen' )
		ifTrue: [SmalltalkImage current snapshot: true andQuit: false].
"! !

!ConfigurationOfRKA24 methodsFor: 'accessing' stamp: 'SabineKnoefel 6/10/2013 11:42'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 8/11/2013 10:04'!
repositoryUrlString
	^ 'http://smalltalkhub.com/mc/Sabine/RKA24/main'! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 9/12/2013 14:40'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #common version: '1.2'! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 8/11/2013 09:08'!
version100: spec
	"Release version"
	
	"(ConfigurationOfRKA24 project version: '1.0') spec."
	"(ConfigurationOfRKA24 project version: '1.0') load."
	"(ConfigurationOfRKA24 project version: '1.0') load: #('Tests')."

	<version: '1.0' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec
				package: 'Example-Core' with: 'Example-Core-DaleHenrichs.1';
				package: 'Example-Tests' with: 'Example-Tests-DaleHenrichs.1' ]! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 9/2/2013 11:43'!
version110: spec
	"Development version"

	"https://code.google.com/p/metacello/"

	"(ConfigurationOfRKA24 project version: '1.1') load."

	<version: '1.1' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec description: '...'.
			spec author: 'sab'.
			spec timestamp: '10/06/2013 09:26'.
			spec project: 'Seaside30' with: '3.0.8'.	
				
			spec
				package: 'RKA24'
				with: [ 
					spec  
						repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
						file: 'RKA24-sabineknoefel.275';
						preLoadDoIt: #preload;
						postLoadDoIt: #postload ] ]! !

!ConfigurationOfRKA24 methodsFor: 'versions' stamp: 'sabineknoefel 9/13/2013 07:35'!
version120: spec
	"Development version"

	"https://code.google.com/p/metacello/"

	"(ConfigurationOfRKA24 project version: '1.2') load."

	<version: '1.2' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec description: '...'.
			spec author: 'sab'.
			spec timestamp: '10/06/2013 09:26'.
			"spec project: 'Seaside30' with: '3.0.8'."
			"spec preLoadDoIt: #preload.
			spec postLoadDoIt: #postload."

			spec
				package: 'RKA24-Model'
				with: [ 
					spec
						repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
						file: 'RKA24-Model-sabineknoefel.4' ].
 
			spec
				package: 'RKA24-System'
				with: [ 
					spec
						repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
						file: 'RKA24-System-sabineknoefel.3' ].

			spec
				package: 'RKA24-Translator'
				with: [ 
					spec
						repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
						file: 'RKA24-Translator-sabineknoefel.3' ].
			spec
				package: 'RKA24-View'
				with: [ 
					spec
						repository: 'http://smalltalkhub.com/mc/Sabine/RKA24/main' username: 'Sabine' password: 'sgolfino';
						file: 'RKA24-View-sabineknoefel.4' ] ]! !
